Skip to main content
`Ctrl`+`K`

# DSRestoreMat

Restores the matrix after `DSGetMat()` was called.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSRestoreMat(DS ds,DSMatType m,Mat *A)

Not Collective

## Input Parameters

- ds - the direct solver context

- m - the requested matrix

- A - the fetched `Mat` object

## Note

A call to this function must match a previous call of `DSGetMat()`.

## See Also

DS: Direct Solver (or Dense System), `DSGetMat()`, `DSRestoreArray()`, `DSRestoreArrayReal()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsops.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages